Make microdeposit

View as MarkdownOpen in Claude

Make a temporary microdeposit in a customer account to verify the customer’s ownership and access to the target account. Reverse the microdeposit with reverseCredit. Payabli doesn’t automatically make microdeposits when you add a bank account, you must manually make the requests.

This feature must be enabled by Payabli on a per-merchant basis. Contact support for help.

Authentication

requestTokenstring
API Key authentication via header

Headers

idempotencyKeystringOptional

Optional but recommended A unique ID that you can include to prevent duplicating objects or transactions in the case that a request is sent more than once. This key isn’t generated in Payabli, you must generate it yourself. This key persists for 2 minutes. After 2 minutes, you can reuse the key if needed.

Query parameters

forceCustomerCreationbooleanOptional

When true, the request creates a new customer record, regardless of whether customer identifiers match an existing customer. Defaults to false.

Request

This endpoint expects an object.
customerDataobjectRequired

Object describing the customer/payor.

paymentDetailsobjectRequired

The PaymentDetail object for microdeposit (MakeCredit) transactions.

paymentMethodobjectRequired
Object describing the ACH payment method to use for transaction.
accountIdstringOptional
Custom identifier for payment connector.
entrypointstringOptional<=50 characters
The entrypoint identifier.
orderDescriptionstringOptional<=250 characters
Text description of the transaction.
orderIdstringOptional<=250 characters
Custom identifier for the transaction.
sourcestringOptional<=100 characters
Custom identifier to indicate the transaction or request source.
subdomainstringOptional<=50 characters
Refers to the payment page identifier. If provided, then the transaction is linked to the payment page.

Response

Success. The referenceId returned in a successful response is the transId value you need to reverse the microdeposit.

A “Missing Gateway Data” message can indicate that the entrypoint targeted in the request isn’t set up for ACH payments.

responseTextstring

Response text for operation: ‘Success’ or ‘Declined’.

isSuccessboolean

Boolean indicating whether the operation was successful. A true value indicates success. A false value indicates failure.

pageIdentifierstring
Auxiliary validation used internally by payment pages and components.
responseDataobject

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error